Subject: Re: linux-next: build failure after merge of the bluetooth tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 20 Jul 2023 10:50:42 +1000

Hi all,

On Sat, 8 Jul 2023 00:17:15 +0000 "Von Dentz, Luiz" <[email-masked]> wrote:
>
> There was a patch sent to net-next that was supposed to fix this:
> 
> [PATCH v1 net-next 2/2] net: scm: introduce and use scm_recv_unix helper
> 
> I am waiting for it to be merged.
> 
> 
> ________________________________
> From: Stephen Rothwell
> Sent: Thursday, July 6, 2023 4:41 PM
> To: Marcel Holtmann; Johan Hedberg
> Cc: Von Dentz, Luiz; Linux Kernel Mailing List; Linux Next Mailing List
> Subject: Re: linux-next: build failure after merge of the bluetooth tree
> 
> Hi all,
> 
> On Fri, 16 Jun 2023 08:32:37 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > On Tue, 13 Jun 2023 13:02:58 +1000 Stephen Rothwell <[email-masked]> wrote:  
> > >  
> >  After merging the bluetooth tree, today's linux-next build (arm  
> > > multi_v7_defconfig) failed like this:
> > >
> > > ERROR: modpost: "pidfd_prepare" [net/bluetooth/bluetooth.ko] undefined!
> > >
> > > Caused by commit
> > >
> > >   817efd3cad74 ("Bluetooth: hci_sock: Forward credentials to monitor")
> > >
> > > I have reverted that commit for today.  
> >
> > I am still reverting that commit.  
> 
> Ditto

This is getting a bit ridiculous ... a build failure reported over a
month ago with a fix
(https://lore.kernel.org/netdev/[email-masked])
posted 3 weeks ago, has not yet been fixed :-(

What is stopping that fix (with the appropriate followup) being added
to the bluetooth tree?  Or just the fix being added to the net-next tree?

Yes, I know that the time period includes the merge window, but it has
been more that a week since then.
-- 
Cheers,
Stephen Rothwell